import React from "react";
import { connect } from "react-redux";
import { useState } from "react";
import ConnectedNick from "./nickHeader";
import ImgLogo from "./logo";
import { actionSearch } from "../actions/actionSearch";


const Header = ({onSearch}) => {
  	const [request, setRequest] = useState('');
  	return (
    	<nav className="headerBlock">
    		<ImgLogo props={{width:"100px"}} className="headerSubBlock1" />
      		<ConnectedNick className="headerSubBlock2" />
    	</nav>
  	);
};

export default Header;